path: /build/build/clucene-dev-cpp-1-2.3.3.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge dev-cpp/clucene:1 -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps dev-cpp/clucene:1
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/clucene && luet-portage --dir /pkgdir/clucene
    dev-cpp/clucene:1 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: clucene
    version: 2.3.3.4
    category: dev-cpp-1
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: High-performance, full-featured text search engine based off of lucene
      in C++
    uri:
    - http://clucene.sourceforge.net/
    license: '|| ( Apache-2.0 LGPL-2.1 )'
    buildtimestamp: 2023-10-06 14:01:29.875563524 +0000 UTC m=+190.363464034
    labels:
      DEPEND: doc? ( >=app-doc/doxygen-1.4.2 ) sys-devel/make >=dev-util/cmake-3.9.6
      IUSE: debug doc static-libs
      emerge.packages: dev-cpp/clucene:1
      kit: dev-kit
      original.package.name: dev-cpp/clucene
      original.package.slot: "1"
      original.package.version: 2.3.3.4-r6
    treedir: /build/packages
  package_dir: /pkgdir/clucene
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4eabb28150a15baa1c9c4b13559a56165ae146540b3e2c637227223dea3f4d2a
compressiontype: zstd
files:
- usr/include/CLucene/CLConfig.h
- usr/include/CLucene/CLuceneConfig.cmake
- usr/include/CLucene/LuceneThreads.h
- usr/include/CLucene/SharedHeader.h
- usr/include/CLucene/StdHeader.h
- usr/include/CLucene/analysis/AnalysisHeader.h
- usr/include/CLucene/analysis/Analyzers.h
- usr/include/CLucene/analysis/CachingTokenFilter.h
- usr/include/CLucene/analysis/LanguageBasedAnalyzer.h
- usr/include/CLucene/analysis/PorterStemmer.h
- usr/include/CLucene/analysis/cjk/CJKAnalyzer.h
- usr/include/CLucene/analysis/de/GermanAnalyzer.h
- usr/include/CLucene/analysis/de/GermanStemFilter.h
- usr/include/CLucene/analysis/de/GermanStemmer.h
- usr/include/CLucene/analysis/standard/StandardAnalyzer.h
- usr/include/CLucene/analysis/standard/StandardFilter.h
- usr/include/CLucene/analysis/standard/StandardTokenizer.h
- usr/include/CLucene/analysis/standard/StandardTokenizerConstants.h
- usr/include/CLucene/clucene-config.h
- usr/include/CLucene/debug/error.h
- usr/include/CLucene/debug/lucenebase.h
- usr/include/CLucene/debug/mem.h
- usr/include/CLucene/document/DateField.h
- usr/include/CLucene/document/DateTools.h
- usr/include/CLucene/document/Document.h
- usr/include/CLucene/document/Field.h
- usr/include/CLucene/document/FieldSelector.h
- usr/include/CLucene/document/NumberTools.h
- usr/include/CLucene/highlighter/Encoder.h
- usr/include/CLucene/highlighter/Formatter.h
- usr/include/CLucene/highlighter/Fragmenter.h
- usr/include/CLucene/highlighter/HighlightScorer.h
- usr/include/CLucene/highlighter/Highlighter.h
- usr/include/CLucene/highlighter/QueryScorer.h
- usr/include/CLucene/highlighter/QueryTermExtractor.h
- usr/include/CLucene/highlighter/Scorer.h
- usr/include/CLucene/highlighter/SimpleFragmenter.h
- usr/include/CLucene/highlighter/SimpleHTMLEncoder.h
- usr/include/CLucene/highlighter/SimpleHTMLFormatter.h
- usr/include/CLucene/highlighter/TextFragment.h
- usr/include/CLucene/highlighter/TokenGroup.h
- usr/include/CLucene/highlighter/TokenSources.h
- usr/include/CLucene/highlighter/WeightedTerm.h
- usr/include/CLucene/index/DirectoryIndexReader.h
- usr/include/CLucene/index/IndexDeletionPolicy.h
- usr/include/CLucene/index/IndexModifier.h
- usr/include/CLucene/index/IndexReader.h
- usr/include/CLucene/index/IndexWriter.h
- usr/include/CLucene/index/MergePolicy.h
- usr/include/CLucene/index/MergeScheduler.h
- usr/include/CLucene/index/MultiReader.h
- usr/include/CLucene/index/MultipleTermPositions.h
- usr/include/CLucene/index/Payload.h
- usr/include/CLucene/index/Term.h
- usr/include/CLucene/index/TermVector.h
- usr/include/CLucene/index/Terms.h
- usr/include/CLucene/queryParser/MultiFieldQueryParser.h
- usr/include/CLucene/queryParser/QueryParser.h
- usr/include/CLucene/queryParser/QueryParserConstants.h
- usr/include/CLucene/queryParser/QueryParserTokenManager.h
- usr/include/CLucene/queryParser/QueryToken.h
- usr/include/CLucene/queryParser/legacy/MultiFieldQueryParser.h
- usr/include/CLucene/queryParser/legacy/QueryParser.h
- usr/include/CLucene/queryParser/legacy/QueryToken.h
- usr/include/CLucene/search/BooleanClause.h
- usr/include/CLucene/search/BooleanQuery.h
- usr/include/CLucene/search/CachingSpanFilter.h
- usr/include/CLucene/search/CachingWrapperFilter.h
- usr/include/CLucene/search/ChainedFilter.h
- usr/include/CLucene/search/Compare.h
- usr/include/CLucene/search/ConstantScoreQuery.h
- usr/include/CLucene/search/DateFilter.h
- usr/include/CLucene/search/Explanation.h
- usr/include/CLucene/search/FieldCache.h
- usr/include/CLucene/search/FieldDoc.h
- usr/include/CLucene/search/FieldSortedHitQueue.h
- usr/include/CLucene/search/Filter.h
- usr/include/CLucene/search/FilterResultCache.h
- usr/include/CLucene/search/FilteredTermEnum.h
- usr/include/CLucene/search/FuzzyQuery.h
- usr/include/CLucene/search/Hits.h
- usr/include/CLucene/search/IndexSearcher.h
- usr/include/CLucene/search/MatchAllDocsQuery.h
- usr/include/CLucene/search/MultiPhraseQuery.h
- usr/include/CLucene/search/MultiSearcher.h
- usr/include/CLucene/search/MultiTermQuery.h
- usr/include/CLucene/search/PhraseQuery.h
- usr/include/CLucene/search/PrefixQuery.h
- usr/include/CLucene/search/Query.h
- usr/include/CLucene/search/QueryFilter.h
- usr/include/CLucene/search/RangeFilter.h
- usr/include/CLucene/search/RangeQuery.h
- usr/include/CLucene/search/Scorer.h
- usr/include/CLucene/search/ScorerDocQueue.h
- usr/include/CLucene/search/SearchHeader.h
- usr/include/CLucene/search/Searchable.h
- usr/include/CLucene/search/Similarity.h
- usr/include/CLucene/search/Sort.h
- usr/include/CLucene/search/SpanFilter.h
- usr/include/CLucene/search/SpanFilterResult.h
- usr/include/CLucene/search/SpanQueryFilter.h
- usr/include/CLucene/search/TermQuery.h
- usr/include/CLucene/search/WildcardQuery.h
- usr/include/CLucene/search/WildcardTermEnum.h
- usr/include/CLucene/search/spans/SpanFirstQuery.h
- usr/include/CLucene/search/spans/SpanNearQuery.h
- usr/include/CLucene/search/spans/SpanNotQuery.h
- usr/include/CLucene/search/spans/SpanOrQuery.h
- usr/include/CLucene/search/spans/SpanQuery.h
- usr/include/CLucene/search/spans/SpanScorer.h
- usr/include/CLucene/search/spans/SpanTermQuery.h
- usr/include/CLucene/search/spans/SpanWeight.h
- usr/include/CLucene/search/spans/Spans.h
- usr/include/CLucene/snowball/SnowballAnalyzer.h
- usr/include/CLucene/snowball/SnowballFilter.h
- usr/include/CLucene/snowball/include/libstemmer.h
- usr/include/CLucene/snowball/libstemmer/modules.h
- usr/include/CLucene/snowball/libstemmer.h
- usr/include/CLucene/snowball/runtime/api.h
- usr/include/CLucene/snowball/runtime/header.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_danish.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_dutch.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_english.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_finnish.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_french.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_german.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_italian.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_norwegian.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_porter.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_portuguese.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_spanish.h
- usr/include/CLucene/snowball/src_c/stem_ISO_8859_1_swedish.h
- usr/include/CLucene/snowball/src_c/stem_KOI8_R_russian.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_danish.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_dutch.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_english.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_finnish.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_french.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_german.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_italian.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_norwegian.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_porter.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_portuguese.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_russian.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_spanish.h
- usr/include/CLucene/snowball/src_c/stem_UTF_8_swedish.h
- usr/include/CLucene/store/Directory.h
- usr/include/CLucene/store/FSDirectory.h
- usr/include/CLucene/store/IndexInput.h
- usr/include/CLucene/store/IndexOutput.h
- usr/include/CLucene/store/Lock.h
- usr/include/CLucene/store/LockFactory.h
- usr/include/CLucene/store/RAMDirectory.h
- usr/include/CLucene/util/Array.h
- usr/include/CLucene/util/BitSet.h
- usr/include/CLucene/util/CLStreams.h
- usr/include/CLucene/util/Equators.h
- usr/include/CLucene/util/PriorityQueue.h
- usr/include/CLucene/util/Reader.h
- usr/include/CLucene/util/VoidList.h
- usr/include/CLucene/util/VoidMap.h
- usr/include/CLucene/util/arrayinputstream.h
- usr/include/CLucene/util/byteinputstream.h
- usr/include/CLucene/util/gzipcompressstream.h
- usr/include/CLucene/util/gzipinputstream.h
- usr/include/CLucene/util/streamarray.h
- usr/include/CLucene.h
- usr/lib64/CLuceneConfig.cmake/CLuceneConfig.cmake
- usr/lib64/libclucene-contribs-lib.so
- usr/lib64/libclucene-contribs-lib.so.1
- usr/lib64/libclucene-contribs-lib.so.2.3.3.4
- usr/lib64/libclucene-core.so
- usr/lib64/libclucene-core.so.1
- usr/lib64/libclucene-core.so.2.3.3.4
- usr/lib64/libclucene-shared.so
- usr/lib64/libclucene-shared.so.1
- usr/lib64/libclucene-shared.so.2.3.3.4
- usr/lib64/pkgconfig/libclucene-core.pc
- usr/share/doc/clucene-2.3.3.4-r6/AUTHORS.bz2
- usr/share/doc/clucene-2.3.3.4-r6/ChangeLog.bz2
- usr/share/doc/clucene-2.3.3.4-r6/README.PACKAGE.bz2
- usr/share/doc/clucene-2.3.3.4-r6/README.bz2
- usr/share/doc/clucene-2.3.3.4-r6/REQUESTS.bz2
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/BUILD_TIME
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/CATEGORY
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/CBUILD
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/CFLAGS
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/CHOST
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/CONTENTS
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/COUNTER
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/CXXFLAGS
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/DEFINED_PHASES
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/DEPEND
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/DESCRIPTION
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/EAPI
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/FEATURES
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/HOMEPAGE
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/INHERITED
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/IUSE
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/IUSE_EFFECTIVE
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/KEYWORDS
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/LDFLAGS
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/LICENSE
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/NEEDED
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/PF
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/PROVIDES
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/REQUIRES
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/RESTRICT
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/SIZE
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/SLOT
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/USE
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/clucene-2.3.3.4-r6.ebuild
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/environment.bz2
- var/db/pkg/dev-cpp/clucene-2.3.3.4-r6/repository
package_cacheimage: ""
runtime:
  name: clucene
  version: 2.3.3.4
  category: dev-cpp-1
  use_flags:
  - -doc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: High-performance, full-featured text search engine based off of lucene
    in C++
  uri:
  - http://clucene.sourceforge.net/
  license: '|| ( Apache-2.0 LGPL-2.1 )'
  labels:
    DEPEND: doc? ( >=app-doc/doxygen-1.4.2 ) sys-devel/make >=dev-util/cmake-3.9.6
    IUSE: debug doc static-libs
    emerge.packages: dev-cpp/clucene:1
    kit: dev-kit
    original.package.name: dev-cpp/clucene
    original.package.slot: "1"
    original.package.version: 2.3.3.4-r6
